> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bank account by external ID



## OpenAPI

````yaml /openapi/bank-accounts.json get /bank-accounts/external/{externalId}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /bank-accounts/external/{externalId}:
    get:
      tags:
        - Bank Accounts
      summary: Retrieve a bank account by external ID
      operationId: bankAccounts.retrieveByExternalId
      parameters:
        - name: externalId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      clientId:
                        type: string
                        format: uuid
                      accountNumber:
                        type: string
                        minLength: 1
                        description: Account Number
                      bankName:
                        type: string
                        minLength: 1
                        description: Bank Name
                      bankCode:
                        type: string
                        description: Bank Code
                      country:
                        const: MX
                      currency:
                        type: string
                        description: Currency
                      type:
                        enum:
                          - checking
                          - savings
                          - investment
                          - other
                        type: string
                        description: Type
                        default: checking
                      isPrimary:
                        type: boolean
                        description: Is Primary
                      isActive:
                        type: boolean
                        description: Is Active
                      label:
                        type: string
                        description: Label
                      externalId:
                        type: string
                        description: External ID
                      metadata:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        description: Metadata
                      clabe:
                        description: CLABE
                      codigoBanco:
                        type: string
                        minLength: 3
                        maxLength: 3
                        description: Bank Code
                      codigoPlaza:
                        type: string
                        minLength: 3
                        maxLength: 3
                        description: Plaza Code
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - clientId
                      - accountNumber
                      - bankName
                      - country
                      - currency
                      - createdAt
                      - updatedAt
                  - type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      clientId:
                        type: string
                        format: uuid
                      accountNumber:
                        type: string
                        minLength: 1
                        description: Account Number
                      bankName:
                        type: string
                        minLength: 1
                        description: Bank Name
                      bankCode:
                        type: string
                        description: Bank Code
                      country: {}
                      currency:
                        type: string
                        description: Currency
                      type:
                        enum:
                          - checking
                          - savings
                          - investment
                          - other
                        type: string
                        description: Type
                        default: checking
                      isPrimary:
                        type: boolean
                        description: Is Primary
                      isActive:
                        type: boolean
                        description: Is Active
                      label:
                        type: string
                        description: Label
                      externalId:
                        type: string
                        description: External ID
                      metadata:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        description: Metadata
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - clientId
                      - accountNumber
                      - bankName
                      - currency
                      - createdAt
                      - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````